projects
Bind a Source Version into a Project as a Project Asset
POST
/
api
/
v1
/
projects
/
{id}
/
assets
Bind a Source Version into a Project as a Project Asset
curl --request POST \
--url https://api.nitsor.com/api/v1/projects/{id}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bindings": [
{
"seriesRole": "<string>",
"sourceId": "<string>",
"sourceVersionId": "<string>"
}
],
"branchId": "<string>",
"idempotencyKey": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/projects/{id}/assets"
payload = {
"bindings": [
{
"seriesRole": "<string>",
"sourceId": "<string>",
"sourceVersionId": "<string>"
}
],
"branchId": "<string>",
"idempotencyKey": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bindings: [{seriesRole: '<string>', sourceId: '<string>', sourceVersionId: '<string>'}],
branchId: '<string>',
idempotencyKey: '<string>',
label: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/projects/{id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/projects/{id}/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bindings' => [
[
'seriesRole' => '<string>',
'sourceId' => '<string>',
'sourceVersionId' => '<string>'
]
],
'branchId' => '<string>',
'idempotencyKey' => '<string>',
'label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/projects/{id}/assets"
payload := strings.NewReader("{\n \"bindings\": [\n {\n \"seriesRole\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"sourceVersionId\": \"<string>\"\n }\n ],\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"label\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/projects/{id}/assets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bindings\": [\n {\n \"seriesRole\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"sourceVersionId\": \"<string>\"\n }\n ],\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/projects/{id}/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bindings\": [\n {\n \"seriesRole\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"sourceVersionId\": \"<string>\"\n }\n ],\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"asset": {
"assetId": "<string>",
"bindings": [
{
"integrity": {
"guarantee": "full-checksum"
},
"manifestHash": "<string>",
"seriesRole": "<string>",
"sourceId": "<string>",
"sourceVersionId": "<string>",
"storageConnectionId": "<string>"
}
],
"label": "<string>"
},
"commit": {
"commitId": "<string>",
"message": "<string>"
}
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
⌘I
Bind a Source Version into a Project as a Project Asset
curl --request POST \
--url https://api.nitsor.com/api/v1/projects/{id}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bindings": [
{
"seriesRole": "<string>",
"sourceId": "<string>",
"sourceVersionId": "<string>"
}
],
"branchId": "<string>",
"idempotencyKey": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/projects/{id}/assets"
payload = {
"bindings": [
{
"seriesRole": "<string>",
"sourceId": "<string>",
"sourceVersionId": "<string>"
}
],
"branchId": "<string>",
"idempotencyKey": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bindings: [{seriesRole: '<string>', sourceId: '<string>', sourceVersionId: '<string>'}],
branchId: '<string>',
idempotencyKey: '<string>',
label: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/projects/{id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/projects/{id}/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bindings' => [
[
'seriesRole' => '<string>',
'sourceId' => '<string>',
'sourceVersionId' => '<string>'
]
],
'branchId' => '<string>',
'idempotencyKey' => '<string>',
'label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/projects/{id}/assets"
payload := strings.NewReader("{\n \"bindings\": [\n {\n \"seriesRole\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"sourceVersionId\": \"<string>\"\n }\n ],\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"label\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/projects/{id}/assets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bindings\": [\n {\n \"seriesRole\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"sourceVersionId\": \"<string>\"\n }\n ],\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/projects/{id}/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bindings\": [\n {\n \"seriesRole\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"sourceVersionId\": \"<string>\"\n }\n ],\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"asset": {
"assetId": "<string>",
"bindings": [
{
"integrity": {
"guarantee": "full-checksum"
},
"manifestHash": "<string>",
"seriesRole": "<string>",
"sourceId": "<string>",
"sourceVersionId": "<string>",
"storageConnectionId": "<string>"
}
],
"label": "<string>"
},
"commit": {
"commitId": "<string>",
"message": "<string>"
}
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}